[Stable Update x32] 2018-02-13 - Kernels and extramodules, Firefox, Flash, upstream repo cleaning

update
stable
manjaro32

#1

Hello i686ers!

This set has the new Firefox 58.0.2, a new version for kernel 4.14 and updates for 3.16 and 4.1, and an update to the Flash plugin for those who still need it.

Upstream have also been cleaning their repos to remove unnecessary packages or those which don’t build correctly for i686.


Available kernels

Series Version
linux316 3.16.53
linux41 4.1.48
linux44 4.4.115
linux49 4.9.80
linux414 4.14.18

archlinux32

If you find manjaro32 useful please consider donating to, or helping out with, archlinux32. It’s a small team taking on a huge project and any help will no doubt be very much appreciated.

Why aren’t the available packages/package versions the same as x86_64?

archlinux32 packages are based on Arch packages but may need editing to build correctly. Builds of less-popular packages are lower priority.

Manjaro-specific packages may lag behind x86_64 because there aren’t as many packagers. If you notice an important package is lagging please report it; at the moment it’s only me packaging for i686:

I’m only packaging current LTS kernels. Any marked as EOL are dropped. I’ll not be building the mainline kernel.

What about security updates?

I cannot guarantee timely security updates on x32-stable. If this is critical for you I recommend you switch to x32-testing or cherry-pick those packages from x32-testing or x32-unstable as they become available.

Something broke. Isn’t this meant to be stable?

“Stable” means “infrequently changing”, not “everything will work perfectly all the time”. If you want it to mean everything works, you need to help test the things you’re interested in.

What about installer images?

Phil very kindly updated the preview installer images:

There will be a new release as soon as I refresh myself on how to do it. :slight_smile:

What about x32-testing and x32-unstable?

These are already available, and I recommend you use x32-testing if you can to make sure testing is done.

x32-unstable should be used by anyone who wants to try and find any issues before they impact other people. If you have multiple/many machines you really should run one of those on x32-unstable.

The update announcement process will look something like:

Unstable Testing Stable Threads
Sync New unstable (when necessary)
Sync Snap New testing, update unstable
Sync Update unstable
Sync Snap Update testing, update unstable
Snap New stable, close testing and unstable
Sync New unstable (when necessary)
Sync Snap New testing, update unstable
etc. etc. etc. etc.

Full list of changes

:: Different overlay package(s) in repository core i686

-------------------------------------------------------------------------------
                             PACKAGE           2018-02-07           2018-02-13
-------------------------------------------------------------------------------
                            dbus-x11             1.12.2-1             1.12.4-1
                            linux316            3.16.53-2            3.16.53-3
                    linux316-headers            3.16.53-2            3.16.53-3
                             linux41             4.1.48-2             4.1.48-3
                     linux41-headers             4.1.48-2             4.1.48-3
                            linux414            4.14.17-1            4.14.18-1
                    linux414-headers            4.14.17-1            4.14.18-1


:: Different sync package(s) in repository core i686

-------------------------------------------------------------------------------
                             PACKAGE           2018-02-07           2018-02-13
-------------------------------------------------------------------------------
                            automake             1.15.1-1             1.15.1-1
                         btrfs-progs           4.14.1-1.0             4.15-1.1
                            iana-etc           20170824-1         20180131-1.0
                               libnl              3.4.0-1            3.4.0-1.1
                       reiserfsprogs           3.6.27-1.0           3.6.27-1.1
                      wpa_supplicant             1:2.6-11           1:2.6-11.1


:: Different overlay package(s) in repository extra i686

-------------------------------------------------------------------------------
                             PACKAGE           2018-02-07           2018-02-13
-------------------------------------------------------------------------------
                           calamares             3.1.12-3             3.1.12-4
                  linux316-acpi_call             1.1.0-37             1.1.0-38
                linux316-broadcom-wl      6.30.223.271-16      6.30.223.271-17
                   linux316-catalyst     1:15.201.1151-25     1:15.201.1151-26
               linux316-nvidia-304xx          1:304.137-7          1:304.137-8
               linux316-nvidia-340xx            340.106-2            340.106-3
      linux316-open-vm-tools-modules      2:2013.09.16-36      2:2013.09.16-37
                      linux316-r8168           8.045.08-2           8.045.08-3
                  linux316-rt3562sta        2.4.1.1_r4-16        2.4.1.1_r4-17
                        linux316-spl              0.7.5-3              0.7.5-4
                linux316-vhba-module          20161009-16          20161009-17
   linux316-virtualbox-guest-modules              5.2.6-2              5.2.6-3
    linux316-virtualbox-host-modules              5.2.6-2              5.2.6-3
                        linux316-zfs              0.7.5-3              0.7.5-4
                   linux41-acpi_call             1.1.0-31             1.1.0-32
                 linux41-broadcom-wl      6.30.223.271-12      6.30.223.271-13
                    linux41-catalyst     1:15.201.1151-28     1:15.201.1151-29
                linux41-nvidia-304xx          1:304.137-6          1:304.137-7
                linux41-nvidia-340xx            340.106-2            340.106-3
       linux41-open-vm-tools-modules      2:2013.09.16-31      2:2013.09.16-32
                       linux41-r8168           8.045.08-2           8.045.08-3
                   linux41-rt3562sta        2.4.1.1_r4-12        2.4.1.1_r4-13
                         linux41-spl              0.7.5-2              0.7.5-3
                 linux41-vhba-module          20161009-12          20161009-13
    linux41-virtualbox-guest-modules              5.2.6-2              5.2.6-3
     linux41-virtualbox-host-modules              5.2.6-2              5.2.6-3
                         linux41-zfs              0.7.5-2              0.7.5-3
                  linux414-acpi_call             1.1.0-15             1.1.0-16
                   linux414-bbswitch               0.8-15               0.8-16
                linux414-broadcom-wl      6.30.223.271-15      6.30.223.271-16
                     linux414-nvidia           1:390.25-1           1:390.25-2
               linux414-nvidia-304xx         1:304.137-15         1:304.137-16
               linux414-nvidia-340xx            340.106-3            340.106-4
                      linux414-r8168           8.045.08-3           8.045.08-4
                  linux414-rt3562sta        2.4.1.1_r4-15        2.4.1.1_r4-16
                        linux414-spl              0.7.5-5              0.7.5-6
                   linux414-tp_smapi              0.41-15              0.41-16
                linux414-vhba-module          20161009-15          20161009-16
   linux414-virtualbox-guest-modules              5.2.6-3              5.2.6-4
    linux414-virtualbox-host-modules              5.2.6-3              5.2.6-4
                        linux414-zfs              0.7.5-5              0.7.5-6
                   manjaro-live-base           20171125-1           20180210-1
           manjaro-live-portable-efi           20171125-1           20180210-1
                   manjaro-live-skel           20171125-1           20180210-1
                manjaro-live-systemd           20171125-1           20180210-1
             manjaro-wallpapers-17.0                1.0-2                1.3-1
                             firefox                    -             58.0.2-0
                    firefox-i18n-ach                    -             58.0.2-0
                     firefox-i18n-af                    -             58.0.2-0
                     firefox-i18n-an                    -             58.0.2-0
                     firefox-i18n-ar                    -             58.0.2-0
                     firefox-i18n-as                    -             58.0.2-0
                    firefox-i18n-ast                    -             58.0.2-0
                     firefox-i18n-az                    -             58.0.2-0
                     firefox-i18n-be                    -             58.0.2-0
                     firefox-i18n-bg                    -             58.0.2-0
                  firefox-i18n-bn-bd                    -             58.0.2-0
                  firefox-i18n-bn-in                    -             58.0.2-0
                     firefox-i18n-br                    -             58.0.2-0
                     firefox-i18n-bs                    -             58.0.2-0
                     firefox-i18n-ca                    -             58.0.2-0
                    firefox-i18n-cak                    -             58.0.2-0
                     firefox-i18n-cs                    -             58.0.2-0
                     firefox-i18n-cy                    -             58.0.2-0
                     firefox-i18n-da                    -             58.0.2-0
                     firefox-i18n-de                    -             58.0.2-0
                    firefox-i18n-dsb                    -             58.0.2-0
                     firefox-i18n-el                    -             58.0.2-0
                  firefox-i18n-en-gb                    -             58.0.2-0
                  firefox-i18n-en-us                    -             58.0.2-0
                  firefox-i18n-en-za                    -             58.0.2-0
                     firefox-i18n-eo                    -             58.0.2-0
                  firefox-i18n-es-ar                    -             58.0.2-0
                  firefox-i18n-es-cl                    -             58.0.2-0
                  firefox-i18n-es-es                    -             58.0.2-0
                  firefox-i18n-es-mx                    -             58.0.2-0
                     firefox-i18n-et                    -             58.0.2-0
                     firefox-i18n-eu                    -             58.0.2-0
                     firefox-i18n-fa                    -             58.0.2-0
                     firefox-i18n-ff                    -             58.0.2-0
                     firefox-i18n-fi                    -             58.0.2-0
                     firefox-i18n-fr                    -             58.0.2-0
                  firefox-i18n-fy-nl                    -             58.0.2-0
                  firefox-i18n-ga-ie                    -             58.0.2-0
                     firefox-i18n-gd                    -             58.0.2-0
                     firefox-i18n-gl                    -             58.0.2-0
                     firefox-i18n-gn                    -             58.0.2-0
                  firefox-i18n-gu-in                    -             58.0.2-0
                     firefox-i18n-he                    -             58.0.2-0
                  firefox-i18n-hi-in                    -             58.0.2-0
                     firefox-i18n-hr                    -             58.0.2-0
                    firefox-i18n-hsb                    -             58.0.2-0
                     firefox-i18n-hu                    -             58.0.2-0
                  firefox-i18n-hy-am                    -             58.0.2-0
                     firefox-i18n-id                    -             58.0.2-0
                     firefox-i18n-is                    -             58.0.2-0
                     firefox-i18n-it                    -             58.0.2-0
                     firefox-i18n-ja                    -             58.0.2-0
                     firefox-i18n-ka                    -             58.0.2-0
                    firefox-i18n-kab                    -             58.0.2-0
                     firefox-i18n-kk                    -             58.0.2-0
                     firefox-i18n-km                    -             58.0.2-0
                     firefox-i18n-kn                    -             58.0.2-0
                     firefox-i18n-ko                    -             58.0.2-0
                    firefox-i18n-lij                    -             58.0.2-0
                     firefox-i18n-lt                    -             58.0.2-0
                     firefox-i18n-lv                    -             58.0.2-0
                    firefox-i18n-mai                    -             58.0.2-0
                     firefox-i18n-mk                    -             58.0.2-0
                     firefox-i18n-ml                    -             58.0.2-0
                     firefox-i18n-mr                    -             58.0.2-0
                     firefox-i18n-ms                    -             58.0.2-0
                     firefox-i18n-my                    -             58.0.2-0
                  firefox-i18n-nb-no                    -             58.0.2-0
                     firefox-i18n-nl                    -             58.0.2-0
                  firefox-i18n-nn-no                    -             58.0.2-0
                     firefox-i18n-or                    -             58.0.2-0
                  firefox-i18n-pa-in                    -             58.0.2-0
                     firefox-i18n-pl                    -             58.0.2-0
                  firefox-i18n-pt-br                    -             58.0.2-0
                  firefox-i18n-pt-pt                    -             58.0.2-0
                     firefox-i18n-rm                    -             58.0.2-0
                     firefox-i18n-ro                    -             58.0.2-0
                     firefox-i18n-ru                    -             58.0.2-0
                     firefox-i18n-si                    -             58.0.2-0
                     firefox-i18n-sk                    -             58.0.2-0
                     firefox-i18n-sl                    -             58.0.2-0
                    firefox-i18n-son                    -             58.0.2-0
                     firefox-i18n-sq                    -             58.0.2-0
                     firefox-i18n-sr                    -             58.0.2-0
                  firefox-i18n-sv-se                    -             58.0.2-0
                     firefox-i18n-ta                    -             58.0.2-0
                     firefox-i18n-te                    -             58.0.2-0
                     firefox-i18n-th                    -             58.0.2-0
                     firefox-i18n-tr                    -             58.0.2-0
                     firefox-i18n-uk                    -             58.0.2-0
                     firefox-i18n-ur                    -             58.0.2-0
                     firefox-i18n-uz                    -             58.0.2-0
                     firefox-i18n-vi                    -             58.0.2-0
                     firefox-i18n-xh                    -             58.0.2-0
                  firefox-i18n-zh-cn                    -             58.0.2-0
                  firefox-i18n-zh-tw                    -             58.0.2-0
                         flashplugin                    -         28.0.0.161-0
                         kinfocenter                    -             5.12.0-1
                 manjaro-live-openrc                    -           20180210-1
                        pepper-flash                    -         28.0.0.161-0


:: Different sync package(s) in repository extra i686

-------------------------------------------------------------------------------
                             PACKAGE           2018-02-07           2018-02-13
-------------------------------------------------------------------------------
                         akonadi-qt4            1.13.0-14                    -
                        audiocd-kio4            16.08.3-2                    -
                               bird6              1.6.3-1                    -
                             blogilo            17.08.3-1                    -
                     cantarell-fonts           1:0.0.25-3          1:0.100-1.1
                       docbook-dsssl               1.79-5               1.79-5
                        docbook-sgml                4.5-5                4.5-5
                      docbook-sgml31                3.1-2                3.1-2
                         docbook-xml                4.5-6                4.5-6
                          f2fs-tools              1.9.0-1           1.10.0-1.0
                     flatpak-builder           0.10.5-1.0           0.10.6-1.0
           kde-meta-kdeaccessibility              17.08-1                    -
                   kde-meta-kdeadmin              17.08-1                    -
                    kde-meta-kdebase              17.08-1                    -
                     kde-meta-kdeedu              17.08-1                    -
                   kde-meta-kdegames              17.08-1                    -
                kde-meta-kdegraphics              17.08-1                    -
              kde-meta-kdemultimedia              17.08-1                    -
                 kde-meta-kdenetwork              17.08-1                    -
                     kde-meta-kdepim              17.08-1                    -
                     kde-meta-kdesdk              17.08-1                    -
                   kde-meta-kdeutils              17.08-1                    -
                  kde-meta-kdewebdev              17.08-1                    -
              kdeaccessibility-jovie            17.08.3-1                    -
        kdeaccessibility-kaccessible            17.08.3-1                    -
             kdeaccessibility-kmouth            17.08.3-1                    -
                       kdegames-kolf            17.08.3-1                    -
                      kdegames-ksirk            17.08.3-1                    -
                   kdegames-palapeli            17.08.3-1                    -
             kdegraphics-ksaneplugin            17.08.3-1                    -
                   kdemultimedia-juk            17.08.3-1                    -
                  kdemultimedia-kmix            17.08.3-1                    -
                  kdemultimedia-kscd            17.08.3-1                    -
                     kdenetwork-kget            17.08.3-1                    -
                   kdenetwork-kopete            17.08.3-1                    -
                     kdenetwork-kppp            17.08.3-1                    -
         kdenetwork-zeroconf-ioslave            17.08.3-1                    -
                         kdepimlibs4           4.14.10-11                    -
             kdeutils-kremotecontrol            17.08.3-1                    -
                    kdeutils-sweeper            17.08.3-1                    -
              kdewebdev-kfilereplace            17.08.3-1                    -
           kdewebdev-kimagemapeditor            17.08.3-1                    -
               kdewebdev-klinkstatus            17.08.3-1                    -
                      libakonadi-qt4            1.13.0-14                    -
                           libkcddb4            16.08.3-1                    -
                    libkcompactdisc4            16.08.3-1                    -
                        libkdegames4            14.12.3-3                    -
                            libkolab              1.0.2-3                    -
                           libksane4            15.08.3-4                    -
                        libktorrent4              1.3.1-3                    -
                     libmusicbrainz3              3.0.3-4                    -
                              libofa              0.9.3-7            0.9.3-7.1
                      libsigc++-docs             2.10.0-1                    -
                         libtxc_dxtn              1.0.1-6                    -
                       libxml++-docs   3.0.1+4+g2af973f-2                    -
                    libxml++2.6-docs             2.40.1-2                    -
                            man2html              3.0.1-5              3.0.1-5
                              mirage            0.9.5.2-4                    -
                            nftables          1:0.8.1-1.0          1:0.8.2-1.0
                             openslp              2.0.0-2                    -
                       perl-net-upnp              1.4.3-3                    -
                      python2-iwscan           20090609-5                    -
                     python2-wpactrl           20090609-6                    -
                         sgml-common              0.6.3-5              0.6.3-5
                           sofia-sip            1.12.11-3                    -
                     telepathy-rakia              0.8.0-1                    -
                              tevent         1:0.9.34-1.0         1:0.9.34-1.1
                            watchdog               5.15-1                    -
                         windowmaker             0.95.8-2                    -
                   windowmaker-extra                0.1-6                    -
                  wpa_supplicant_gui                2.6-1                    -
                    xorg-mkfontscale              1.1.2-1            1.1.2-1.1


:: Different overlay package(s) in repository community i686

-------------------------------------------------------------------------------
                             PACKAGE           2018-02-07           2018-02-13
-------------------------------------------------------------------------------
             breeze-maia-icon-themes             5.41.0-1             5.42.0-1
                        compton-conf              0.2.1-4              0.3.0-1
                 manjaro-aur-support                0.6-2                0.6-3
            manjaro-browser-settings           20171231-1           20180209-1
             manjaro-deepin-settings           20180205-1           20180209-1
                 manjaro-i3-settings           20180203-1           20180208-1
       manjaro-xfce-minimal-settings           20180201-1           20180208-1
               manjaro-xfce-settings           20180201-1           20180208-1
                          mate-tweak            18.04.2-1            18.04.8-1
                           menulibre              2.1.4-1              2.1.5-1
                               sndio           20180205-1           20180208-1
                     update-notifier              0.7.2-2              0.7.2-3
                         vlc-nightly     3.0.0v20180202-1     3.0.0v20180207-1
                                 yad             0.39.0-1             0.40.0-1
                       cinnamon-live                    -                1.1-1


:: Different sync package(s) in repository community i686

-------------------------------------------------------------------------------
                             PACKAGE           2018-02-07           2018-02-13
-------------------------------------------------------------------------------
             aarch64-linux-gnu-glibc               2.26-1             2.27-1.0
 aarch64-linux-gnu-linux-api-headers               4.14-1             4.15-1.0
                    adapta-gtk-theme        3.93.0.72-1.0       3.93.0.106-1.0
                                adms              2.3.6-1                    -
                         adns-python              1.2.1-6                    -
                            ajaxterm               0.11-9                    -
                         anyfs-tools            0.85.1c-5                    -
                                 apg              2.2.3-4                    -
                               apvlv              0.1.5-4                    -
                              atanks                6.5-1                    -
                            atk-docs              2.6.0-2                    -
                               aumix              2.9.1-8                    -
                           bash-docs                 10-1                    -
                              bashdb            4.3_0.9-4                    -
                                bbdb              3.1.2-4                    -
                               bbrun                1.6-5                    -
                                beye              6.1.0-5                    -
                                 bip           0.9.0rc1-1                    -
                               blosc           1.12.1-2.0           1.13.7-1.0
                              btanks           0.9.8083-7                    -
                         btanks-data           0.9.8083-3                    -
                               bwbar              1.2.3-4                    -
                             bwidget             1.9.10-1                    -
                       c++-gtk-utils           2.2.14.1-1                    -
                              cchost                5.1-2                    -
                               cdbxx           0.0.1rc2-5                    -
                                cdcd              0.6.6-9                    -
                             cdcover              0.7.4-6                    -
                            centerim            4.22.10-7                    -
                           clalsadrv              2.0.0-2                    -
                               clamz                0.5-3                    -
                         clearsilver            0.10.5-25                    -
                               clewn               1.15-8                    -
                    closure-compiler           20170806-1                    -
                      closure-linter             2.3.19-1                    -
                          cloud-init              0.7.9-1                    -
                          commoncpp2              1.8.1-7                    -
                               cryfs            0.9.8-3.0            0.9.9-1.0
                            cutegram              2.7.1-3                    -
                               cwiid    0.6.00+svn201-2.0                    -
                            datemath             2.0.10-5                    -
                       deepin-picker            1.6.1-2.0            1.6.2-1.0
                            delegate             9.9.13-3                    -
                              denemo            1:2.2.0-1                    -
                             dguitar              0.5.8-6                    -
                           diff2html              1.0.1-5                    -
                            directfb              1.7.7-2                    -
                              discid              0.1.3-7                    -
                        doublecmd-qt            0.8.0-1.0                    -
                               dspam            3.10.2-14                    -
                                dumb              2.0.2-3            2.0.3-1.0
                             dumb-a4              2.0.2-3            2.0.3-1.0
                                dxpc              3.9.2-6                    -
                            dynamite              0.1.1-4                    -
                              ebizzy                0.3-3                    -
                               echat          0.04beta1-5                    -
                            efax-gtk             3.2.13-4                    -
                       electricsheep            2.7b33-33                    -
                            electrum            3.0.5-1.0            3.0.6-1.0
                               elisa           0.0.80-2.0           0.0.81-2.0
                       emacs-w3m-cvs           20140530-2                    -
                          emscripten          1.37.29-1.0          1.37.33-1.0
                            engrampa             1.18.3-1           1.20.0-1.0
                               enter              0.0.9-4                    -
                        eric-i18n-cs            17.12-1.0                    -
                        eric-i18n-fr            17.12-1.0                    -
                        eric-i18n-it            17.12-1.0                    -
                        eric-i18n-pt            17.12-1.0                    -
                        eric-i18n-tr            17.12-1.0                    -
                     eric-i18n-zh_cn            17.12-1.0                    -
                           erlang200             20.0-1.0                    -
                  erlang200-unixodbc             20.0-1.0                    -
                              fbnews                0.5-7                    -
                          festvox-ru                0.5-3                    -
                          flightgear           2017.3.1-1                    -
                     flightgear-data           2017.3.1-1                    -
                               floyd              2.0.1-5                    -
                       fxprocessview              0.5.0-7                    -
                                g2sc                0.2-5                    -
                         gambatte-qt               r572-2                    -
                        gambatte-sdl               r572-2                    -
                            gcc-docs            7.2.0-1.0                    -
                              gcstar              1.7.1-1                    -
                               ginac              1.7.2-1            1.7.3-1.0
                                glee              5.4.0-2                    -
                             gmerlin              1.2.0-8                    -
                             gnonlin              1.4.0-1                    -
                       gnuhtml2latex                0.4-3                    -
                             gnump3d                3.0-9                    -
                            gtkballs              3.1.5-6                    -
                          gtkdatabox            0.9.2.0-2                    -
                           gtkdialog              0.8.3-3                    -
                          gtkglextmm             1.2.0-11                    -
                             gtkperf               0.40-5                    -
                              gtkpod              2.1.5-4                    -
                           heartbeat              5.6.4-1                    -
                                ibam              0.5.2-9                    -
                               idesk              0.7.5-8                    -
                      kbd-ru-keymaps                  1-5                    -
                              kmscon                  8-3                    -
                          lazarus-qt            1.6.4-2.0                    -
                            leafnode            1.11.11-1                    -
                         libmatchbox               1.12-1                    -
                       libmicrohttpd           0.9.58-1.0           0.9.59-1.0
                            libosip2            1:5.0.0-1                    -
                              libpcl               1.12-3                    -
                     libqtelegram-ae              3:6.1-5                    -
                              librcc             0.2.12-1                    -
                              librcd             0.1.14-1                    -
                             librelp             1.2.14-1                    -
                          librtfcomp                1.3-2                    -
                       libspatialite            4.3.0.a-2          4.3.0.a-2.1
                             libstrl              0.5.1-1                    -
                        libsynaptics            0.14.6c-7                    -
                              libtsm                  3-3                    -
                             libuser               0.62-1                    -
                             libview              0.6.6-4                    -
                       lua-sql-mysql              2.3.0-7                    -
                    lua-sql-postgres              2.3.0-7                    -
                      lua-sql-sqlite              2.3.0-7                    -
                   lua51-messagepack              0.3.7-1                    -
                      lua51-testmore              0.3.2-1                    -
                          lua51-zlib              1:1.1-1                    -
                   lua52-messagepack              0.3.7-1                    -
                      lua52-testmore              0.3.2-1                    -
                          lua52-zlib              1:1.1-1                    -
                        man-pages-it               4.08-1                    -
                        man-pages-ru4.08_2329_2272_20170321-2                    -
                            markdown              1.0.1-6                    -
                     matchbox-common              0.9.1-7                    -
                    matchbox-desktop                2.2-1                    -
                   matchbox-keyboard              0.1.1-1                    -
                      matchbox-panel               2.11-1                    -
             matchbox-window-manager                1.2-4                    -
                    mate-backgrounds             1.18.0-1           1.20.0-1.0
                           mate-calc             1.18.1-1           1.20.0-1.0
                     mate-icon-theme             1.18.2-1           1.20.0-1.0
              mate-icon-theme-faenza             1.18.1-1           1.20.0-1.0
                         mate-polkit             1.18.2-1           1.20.0-1.0
                 mate-system-monitor             1.18.1-1           1.20.0-1.0
                         mate-themes            3.22.14-1          3.22.15-1.0
                     mate-user-guide             1.18.0-1           1.20.0-1.0
                     mate-user-share             1.18.0-2           1.20.0-1.0
                             meataxe             2.4.24-6                    -
                         mime-editor                0.6-5                    -
                             mimetex               1.70-4                    -
                  mingw-w64-binutils               2.29-1                    -
                       mingw-w64-crt              5.0.3-1                    -
                       mingw-w64-gcc              7.2.0-1                    -
                   mingw-w64-headers              5.0.3-1                    -
         mingw-w64-headers-bootstrap              5.0.3-1                    -
               mingw-w64-winpthreads              5.0.3-1                    -
                              miredo              1.2.6-4                    -
               modular_decomposition           20100607-1                    -
             mythplugins-mytharchive             1:29.0-3                    -
             mythplugins-mythbrowser             1:29.0-3                    -
             mythplugins-mythgallery             1:29.0-3                    -
                mythplugins-mythgame             1:29.0-3                    -
               mythplugins-mythmusic             1:29.0-3                    -
           mythplugins-mythnetvision             1:29.0-3                    -
                mythplugins-mythnews             1:29.0-3                    -
             mythplugins-mythweather             1:29.0-3                    -
                 mythplugins-mythweb             1:29.0-3                    -
          mythplugins-mythzoneminder             1:29.0-3                    -
                         nanoblogger              3.4.2-3                    -
                           normalize              0.7.7-7                    -
                           npapi-vlc              2.2.5-2                    -
                           nuvexport              2:0.5-3                    -
                              nvdock               1.02-5                    -
                              obexfs               0.12-4                    -
                             obexftp            0.24-12.0                    -
                            obextool               0.35-4                    -
                              oolite               1.86-2                    -
                            openobex              1.7.2-3                    -
                             openocd           1:0.10.0-1                    -
         openstreetmap-map-icons-svn              31588-1                    -
                         openthreads              2.6.0-1                    -
                              orange                0.4-7                    -
              perl-proc-processtable               0.53-5             0.55-1.0
                  perl-text-template               1.47-3             1.48-1.0
                 phoronix-test-suite            7.6.0-1.0                    -
                            php-docs              7.0.1-1                    -
                               pnews              2.6.5-5                    -
                             png2ico           20021208-7                    -
                           pppd-ldap              0.12b-5                    -
                    pppd-ldap-simple              0.12b-8                    -
                            proguard              5.3.3-1                    -
                            psqlodbc         09.06.0410-1                    -
                               punbb              1.4.4-1                    -
                              pwsafe           20160304-2                    -
                              pyaimt            0.8.0.1-8                    -
                              pycddb              0.1.4-1                    -
                              pyicqt            0.8.1.5-8                    -
                            pyid3lib              0.5.1-9                    -
                               pympc           20050330-8                    -
                              pymsnt            0.11.3-10                    -
                               pyrss         0.9.9.1-13.1                    -
                               pyrtf               0.45-6                    -
                       python-btchip           0.1.24-2.0                    -
                         python-cmd2            0.7.9-1.0            0.8.0-1.0
                    python-flickrapi              2.3.1-1            2.4.0-1.0
     python-google-api-python-client              1.6.4-1            1.6.5-1.0
                       python-neovim            0.2.0-2.0            0.2.1-1.0
                     python-openpyxl              2.4.9-1            2.5.0-1.0
            python-pandas-datareader              0.5.0-1            0.6.0-1.0
                       python-plyvel                0.9-4            1.0.4-1.0
                python-requests-file              1.4.2-1            1.4.3-1.0
           python-requestsexceptions              1.3.0-1            1.4.0-1.0
                      python-tinycss                0.4-2                    -
              python2-backports.lzma              0.0.8-1           0.0.10-1.0
                      python2-btchip           0.1.24-2.0                    -
                        python2-cmd2            0.7.9-1.0            0.8.0-1.0
                   python2-flickrapi              2.3.1-1            2.4.0-1.0
                        python2-flup              1.0.2-5                    -
    python2-google-api-python-client              1.6.4-1            1.6.5-1.0
                    python2-iniparse              0.4-4.1                    -
                         python2-ipy               0.83-1                    -
                 python2-mysql2pgsql              0.1.5-2                    -
                      python2-neovim            0.2.0-2.0            0.2.1-1.0
                    python2-openpyxl              2.4.9-1            2.5.0-1.0
           python2-pandas-datareader              0.5.0-1            0.6.0-1.0
                      python2-plyvel                0.9-4            1.0.4-1.0
                   python2-pybonjour              1.1.1-5                    -
                     python2-pychart               1.39-8                    -
                    python2-pylorcon                  2-4                    -
               python2-requests-file              1.4.2-1            1.4.3-1.0
          python2-requestsexceptions              1.3.0-1            1.4.0-1.0
                     python2-sensors              0.0.3-2                    -
                     python2-slowaes              0.1a1-3                    -
                     python2-tinycss                0.4-2                    -
                     python2-tlslite              0.4.9-2                    -
                python2-vorbissimple              0.0.2-7                    -
                              q4wine              1.3.6-1                    -
                       qemu-launcher              1.7.4-5                    -
                                 qps            1.10.16-5                    -
                             qpxtool              0.7.2-5                    -
                                qucs             0.0.19-1                    -
                            quesoglc              0.7.2-3                    -
                                quvi              0.9.5-1                    -
                           rakarrack              0.6.1-3                    -
                            rapidsvn            0.12.1-12                    -
                           rawstudio    2.0_git20161101-2                    -
                           recoverdm               0.20-4                    -
                              rexima                1.4-6                    -
                                rftg              0.9.5-1                    -
                             ripperx              2.8.0-2                    -
                                rote              0.2.8-5                    -
                             roxterm              3.3.2-2                    -
                                rpc2               2.10-4                    -
                             rss-glx           0.9.1-33.0                    -
                             rsyslog           8.31.0-1.0                    -
                             rustfmt              0.9.0-1                    -
                               scite              4.0.2-1                    -
                                sdcc              3.6.0-4                    -
                                 sdd               1.52-8                    -
                           setserial               2.17-5                    -
                             simgear           2017.3.1-1                    -
                             sisctrl       0.0.20051202-7                    -
                             sk1libs              0.9.2-2                    -
                             skrooge           2.10.5-3.0           2.11.0-1.0
                                slrn            1.0.3-3.0                    -
                            snownews            1.5.12-11                    -
                          spice-glib               0.34-1                    -
                          spice-gtk3               0.34-2                    -
                         spring-1944                2.0-2                    -
                           spring-kp                4.7-1                    -
                       sqlitemanager              1.2.4-4                    -
                                 srm             1.2.15-1                    -
                           ssh-faker                1.1-5                    -
                             sub2srt              0.5.5-2                    -
                               swarp                0.1-4                    -
                          synce-core               0.17-4                    -
                    synce-libmimedir                0.4-8                    -
                          synce-mcfs              0.1.1-9                    -
                           synce-rra               0.17-3                    -
                   synce-sync-engine             0.16-3.0                    -
                              synfig            1.2.1-3.0                    -
                        synfigstudio            1.2.1-3.0                    -
                           tablelist              6.0-1.0                    -
                                task              2.5.1-1            2.5.1-1.1
                              tcllib               1.18-1                    -
                              tcltls             1.7.12-1                    -
                               tdfsb             0.0.10-7                    -
                                 tea             44.1.0-1                    -
                         telegramqml              0.9.2-2                    -
                                 tix              8.4.3-5                    -
                             tkabber              1.1.2-1                    -
                           tksystray                0.1-7                    -
                             tktheme               0.23-9                    -
                                tnef             1.4.15-1                    -
                               torcs              1.3.7-1                    -
                          torcs-data              1.3.7-1                    -
                                trac              1.2.2-1                    -
                             trayion            0.1.2-3.1                    -
                           tuxguitar                1.4-2                    -
                             tvision           2.2.1_r1-6                    -
                                twin              0.6.2-7                    -
                                 ude           0.2.11_a-1                    -
                       ultimate-ircd             3.0.2-12                    -
                           umleditor              3.6.0-1                    -
                               umlet               14.2-1                    -
                          unetbootin              657-1.0                    -
                        uniconvertor              1.1.5-8                    -
                          urlgrabber             3.10.1-2                    -
                           ussp-push               0.11-6                    -
                                ustr              1.0.4-4                    -
            vapoursynth-plugin-f3kdb              2.0.0-1                    -
                            vbam-gtk            2.0.0b2-3                    -
                                vile              9.8_r-1                    -
                           vim-rails          5.2_23266-4                    -
                       vncviewer-jar             1.3.10-4                    -
                                 vor              0.5.7-1                    -
                        vorbissimple              0.0.2-4                    -
                               w3cam             0.7.2-11                    -
                         warsow-data              2.1.0-1                    -
                               winff              1.5.4-3                    -
                      wireguard-dkms     0.0.20180118-1.0     0.0.20180202-1.0
                     wireguard-tools     0.0.20180118-1.0     0.0.20180202-1.0
                                wput            0.6.2-3.1                    -
                                 xfe             1.42-1.1                    -
                                xml2                0.5-1                    -
                              xmpppy        0.5.0_rc1-4.1                    -
                                 xnc              5.0.4-8                    -
                             xpacman               0.11-7                    -
                            xpacman2              1.002-6                    -
                             xrestop                0.4-6                    -
                               xvkbd              3.8-1.0                    -
                                yagf            0.9.5-3.1                    -
                             yahoo-t                0.4-7                    -
                            conflict                    -         20150705-3.0

Any problems?

  • No issues, everything went smoothly
  • Yes there was an issue. I was able to resolve it myself. (Please post your solution)
  • Yes I am currently experiencing an issue due to the update. (Please post about it)

0 voters



#2

Known issues and solutions

This is a wiki post; please edit as necessary.


Not all MATE packages are updated to 1.20

Yup. Stick with the 1.18 versions if you have any issues. 1.20 builds will be coming “soon”.



#3
$ sudo pacman-mirrors -f0
.: INFO Scaricamento in corso dei mirror da repo.manjaro.org
Traceback (most recent call last):
  File "/usr/bin/pacman-mirrors", line 57, in <module>
    pm.run()
  File "/usr/lib/python3.6/site-packages/pacman_mirrors/pacman_mirrors.py", line 905, in run
    self.build_common_mirror_list()
  File "/usr/lib/python3.6/site-packages/pacman_mirrors/pacman_mirrors.py", line 441, in build_common_mirror_list
    mirror_selection = self.filter_user_branch(mirror_selection)
  File "/usr/lib/python3.6/site-packages/pacman_mirrors/pacman_mirrors.py", line 710, in filter_user_branch
    if mirror["branches"][idx] == 1:
IndexError: list index out of range

#4

That should have been fixed:

I’ll check which version is in x32-stable and push the correct one if necessary.

Edit: OK, that’s pushed and will reach mirrors “soon”.


#5

deed the update, pacman-mirrors is 4.7.3
but

spectre-meltdown-checker
Spectre and Meltdown mitigation detection tool v0.34

Checking for vulnerabilities on current system
Kernel is Linux 4.14.18-1-MANJARO #1 SMP PREEMPT Fri Feb 9 09:21:59 UTC 2018 i686
CPU is Intel(R) Pentium(R) M processor 1300MHz

Hardware check
* Hardware support (CPU microcode) for mitigation techniques
  * Indirect Branch Restricted Speculation (IBRS)
    * SPEC_CTRL MSR is available:  NO 
    * CPU indicates IBRS capability:  YES  (SPEC_CTRL feature bit)
  * Indirect Branch Prediction Barrier (IBPB)
    * PRED_CMD MSR is available:  NO 
    * CPU indicates IBPB capability:  YES  (SPEC_CTRL feature bit)
  * Single Thread Indirect Branch Predictors (STIBP)
    * SPEC_CTRL MSR is available:  NO 
    * CPU indicates STIBP capability:  YES 
  * Enhanced IBRS (IBRS_ALL)
    * CPU indicates ARCH_CAPABILITIES MSR availability:  YES 
    * ARCH_CAPABILITIES MSR advertises IBRS_ALL capability:  NO 
  * CPU explicitly indicates not being vulnerable to Meltdown (RDCL_NO):  NO 
  * CPU microcode is known to cause stability problems:  NO  (model 9 stepping 5 ucode 0x7)
* CPU vulnerability to the three speculative execution attacks variants
  * Vulnerable to Variant 1:  YES 
  * Vulnerable to Variant 2:  YES 
  * Vulnerable to Variant 3:  YES 

CVE-2017-5753 [bounds check bypass] aka 'Spectre Variant 1'
* Mitigated according to the /sys interface:  YES  (kernel confirms that the mitigation is active)
* Kernel has array_index_mask_nospec:  YES  (1 occurence(s) found of 32 bits array_index_mask_nospec())
> STATUS:  NOT VULNERABLE  (Mitigation: __user pointer sanitization)

CVE-2017-5715 [branch target injection] aka 'Spectre Variant 2'
* Mitigated according to the /sys interface:  YES  (kernel confirms that the mitigation is active)
* Mitigation 1
  * Kernel is compiled with IBRS/IBPB support:  NO 
  * Currently enabled features
    * IBRS enabled for Kernel space:  NO 
    * IBRS enabled for User space:  NO 
    * IBPB enabled:  NO 
* Mitigation 2
  * Kernel compiled with retpoline option:  YES 
  * Kernel compiled with a retpoline-aware compiler:  YES  (kernel reports full retpoline compilation)
  * Retpoline enabled:  NO 
> STATUS:  NOT VULNERABLE  (Mitigation: Full generic retpoline)

CVE-2017-5754 [rogue data cache load] aka 'Meltdown' aka 'Variant 3'
* Mitigated according to the /sys interface:  NO  (kernel confirms your system is vulnerable)
* Kernel supports Page Table Isolation (PTI):  NO 
* PTI enabled and active:  NO 
* Running as a Xen PV DomU:  NO 
> STATUS:  VULNERABLE  (PTI is needed to mitigate the vulnerability)

A false sense of security is worse than no security at all, see --disclaimer

#6

Update was small and smooth. Thank you for all your hard work.


#7

Smooth update except with pacman-mirrors & ranger (file manager) packages. I’ve got to downgrade both to recover their funcionality.

Thx for your great effort.


#8

That should be version 4.7.5 and be “fixed” - does 4.7.5 still have issues? Or are you getting 4.7.4 still? :thinking:

Hmm… I can only see 4.7.4 in the x32* repos.


#9
Here’s a direct route to install the fixed i686 package:

sudo pacman -U https://mirror.netzspielplatz.de/manjaro/packages/x32-stable/core/i686/pacman-mirrors-4.7.4-1-any.pkg.tar.xz

…This is what I have…not 4.7.5…& it seems fixed in 4.7.4-1


#10

I had a look at my box-32 unstable and it appears I have been distracted just before the push as the 4.7.5 was still unpushed.

Now it is pushed and should appear in the repos shortly.

:: Status

-------------------------------------------------------------------------------
           BRANCH             REPO       ARCH                              JOB
-------------------------------------------------------------------------------
     x32-unstable             core       i686          finished package commit
      x32-testing             core       i686          finished package commit
       x32-stable             core       i686          finished package commit

:: Process session successfully finished.
:: Pulling changes...
 obtaining remote repository packages...
   remove  core/i686/pacman-mirrors-4.7.5-1-any.pkg.tar.xz.sig
   replace core/i686/pacman-mirrors-4.7.5-1-any.pkg.tar.xz
:: Branch is up-to-date now.

Pacman-mirrors 4.7.3-1 problems
[pacman-mirrors] 4.7.5 - isolating the root cause
#11

This topic was automatically closed after 2 days. New replies are no longer allowed.